Page MenuHomePhabricator

Set $wgRateLimits['badcaptcha'] to counter bots
Closed, ResolvedPublic

Description

Per https://www.mediawiki.org/wiki/CAPTCHA , any captcha which can be guessed with 1 % probability or more is broken, because bots can retry infinitely. We are way over that, so it's important to reduce bot attempts.

However are captchas are also (or mostly) hard for humans, so we can't be too restrictive.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Nemo_bis, csteipp, tstarling, Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 12:35 PM

Change 195886 had a related patch set uploaded (by Nemo bis):
Set $wgRateLimits['badcaptcha'] to counter bots

https://gerrit.wikimedia.org/r/195886

Aklapper triaged this task as Normal priority.Mar 11 2015, 5:58 PM
Se4598 set Security to None.
Dereckson moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Dereckson added a subscriber: Dereckson.
Nemo_bis removed Nemo_bis as the assignee of this task.Apr 18 2015, 10:14 PM
Krenair assigned this task to Nemo_bis.Jul 17 2015, 8:32 PM
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 17 2015, 8:32 PM

Change 195886 merged by jenkins-bot:
Set $wgRateLimits['badcaptcha'] to counter bots

https://gerrit.wikimedia.org/r/195886

Florian closed this task as Resolved.Jul 31 2015, 3:04 PM